<template>
  <div class="animated fadeIn">
    <div class="row flex-column" style="">

      <div>
        <test-file></test-file>
      </div>

      <loading-overlay :isVisible="isLoading"></loading-overlay>

      <div v-if="showAdd">
        <test-table :theads="theads" :new-material-added="newMaterialAdded"></test-table>
      </div>

    </div>
  </div>
</template>

<script>
  import MaterialTable from '@/components/tables/MaterialTable'
  import MaterialCreateTable from '@/components/tables/MaterialCreateTable'
  import TestTable from '@/components/tables/TestTable'
  import TestCreateCard from '@/components/tables/TestCreateCard'
  import TestFile from '@/components/TestFile'
  import Pagination from '@/components/Pagination'

  export default {
    name: 'materials',
    components: {
      MaterialTable,
      MaterialCreateTable,
      TestTable,
      TestCreateCard,
      TestFile,
      Pagination
    },
    data () {
      return {
        showAdd: true,
        newMaterial: null,
        newMaterialAdded: null
      }
    },
    computed: {
      showAddView () {
        this.showAdd = !this.showAdd
      },
      isLoading () {
        return Store.getters.axiosCalls.refreshingToken
      }
    },
    methods: {
      toggleActiveClass (e) {
      }
    }
  }
</script>
